function init(hero) {
    hero.setName("Petrosapien");
    hero.setTier(7);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("ben:petrosapien_physiology", "ben:petro_shield", "ben:petro_blade");
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
	hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
    
    hero.addKeyBind("SHIELD", "key.shield", 1);
    hero.addKeyBind("BLADE", "key.spike", 2);
    hero.addKeyBind("CHARGE_ICE", "key.chargeIce", 3);

    hero.setDefaultScale(1.4);
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {
        "types": {
            "BLUNT": 0.7,
            "SHARP": 0.3
        }
    });
}

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 6.5, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}